#!/bin/bash

SVNROOT=svn://incunabulum.de/projects/_Plone/MzProduct
DATE=`date +%Y-%m-%d`

if [ -z "$1" ]; then
	echo "Please supply version number as argument! Exiting"
	exit 1
fi

echo "Preparing for tagging version $1"
echo "  updating svn"
svn update

echo "  Changing version number"
echo $1 > version.txt

echo "  Updating changelogSummary.txt"
cp changelog.txt changelog.txt.tmp
echo "Version $1 ($DATE):" > changelog.txt
echo "---------------------------------------------" >> changelog.txt
`cat changelog.txt.tmp >> changelog.txt`
rm changelog.txt.tmp

echo "Svn related"
echo " commit changes to svn"
svn commit -m 'changed version number to $1'
echo " creating tag in svn repository"
svn cp $SVNROOT/trunk $SVNROOT/tags/$1 -m 'tagging version $1'
